Bug Hunting Session
Bug 126254 - Help - About is black with Linux gen and gtk2 backend
Summary: Help - About is black with Linux gen and gtk2 backend
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.2 rc
Hardware: x86-64 (AMD64) Linux (All)
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-07-06 17:18 UTC by Buovjaga
Modified: 2019-08-25 03:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (13.39 KB, image/png)
2019-07-06 17:18 UTC, Buovjaga
Details
Screenshot of resized window (38.36 KB, image/png)
2019-07-16 14:24 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-07-06 17:18:02 UTC
Created attachment 152604 [details]
Screenshot

Launch with SAL_USE_VCLPLUGIN=gen /path/to/soffice and see Help - About.
Comment 1 Xavier Van Wijmeersch 2019-07-07 14:14:32 UTC
I can not reproduce

Version: 6.4.0.0.alpha0+
Build ID: fba2fe825e8dfb9fd084186e3171bbea35297c28
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Buovjaga 2019-07-07 15:54:57 UTC
Bibisected with linux-64-6.4 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/a30a5d1b8af18d19526f1980df41857f455cc8ef%5E!/
weld AboutDialog

Adding Cc: to Caolán McNamara

Note: in addition to Xavier up there, Xisco and jmux are unable to repro this
Comment 3 Caolán McNamara 2019-07-16 07:44:53 UTC
I don't see it either in my self-builds, did you reproduce this with the bibisect repo of git clone https://git.libreoffice.org/bibisect-linux-64-6.4 ?
Comment 4 Buovjaga 2019-07-16 08:01:49 UTC
(In reply to Caolán McNamara from comment #3)
> I don't see it either in my self-builds, did you reproduce this with the
> bibisect repo of git clone https://git.libreoffice.org/bibisect-linux-64-6.4
> ?

Yep.
Comment 5 Caolán McNamara 2019-07-16 09:11:29 UTC
pulled that repo and it looks fine to me. That dialog is resizable, if you resize it does it still appear all black ?
Comment 6 Buovjaga 2019-07-16 14:24:19 UTC
Created attachment 152814 [details]
Screenshot of resized window

This is from my own build. The contents start peeking out behind the blackness. If I make it maximum size, I can easily see all the contents.
Comment 7 Shinji Enoki 2019-08-01 17:27:37 UTC
I did reproduce it in  6.3 rc2 version.

Version: 6.3.0.2
Build ID: 728469fa359ba8c83d812146293a0b0aa53945ba
CPU threads: 4; OS: Linux 3.16; UI render: default; VCL: gtk2; 
Locale: ja-JP (ja_JP.utf8); UI-Language: en-US
Calc: threaded
OS: debian jessie

> pulled that repo and it looks fine to me. That dialog is resizable, if you resize it does it still appear all black ?

Part of the windows became white.
Comment 8 Buovjaga 2019-08-01 17:39:27 UTC
Ah, that is right, I can repro with gtk2 as well! I wonder, why I could not before (or maybe I forgot to test??)
Comment 9 Caolán McNamara 2019-08-16 11:49:54 UTC
I can reproduce in a vm
Comment 10 Commit Notification 2019-08-16 15:44:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a94f95d173e531fe7df0e8caebd6763253798b39%5E%21

tdf#126254 Help - About is black with Linux gen and gtk2

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2019-08-16 15:48:13 UTC
Seems to work now in master, backports to 6-3 in gerrit
Comment 12 Commit Notification 2019-08-19 11:09:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-1":

https://git.libreoffice.org/core/+/a52d09ebe7da6ee870c29a0790720dba13ecc358%5E%21

tdf#126254 Help - About is black with Linux gen and gtk2

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-08-19 16:48:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/0d055eb7e9222c0b981f3ba2265e35b11f39dbaa%5E%21

tdf#126254 Help - About is black with Linux gen and gtk2

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.